use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::game::models::Game> for bpr::models::api::game::Game {
  fn from(d: &repositories::game::models::Game) -> Self {
    bpr::models::api::game::Game {
      id: d.id as u64,
      key: d.key.clone(),
      parent_id: d.parent_id as u64,
      names: d.names.clone(),
      platform: d.platform.clone(),
      game_type: d.game_type.clone(),
      image: d.image.clone(),
      category: d.category.clone(),
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
